import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { Icon } from "../../../../../../node_modules/.pnpm/@iconify_vue@4.1.1_vue@3.3.4/node_modules/@iconify/vue/dist/iconify.mjs";
import { defineComponent, openBlock, createElementBlock, createVNode } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { useCssVars } from "../../../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.mjs";
import { unref, toRefs } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _hoisted_1 = { class: "go-icon-box" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    useCssVars((_ctx) => ({
      "41d5a0df": `${unref(w)}px`,
      "41024050": `${unref(h)}px`
    }));
    const { w, h } = toRefs(props.chartConfig.attr);
    const { dataset, color, size, rotate } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(unref(Icon), {
          icon: unref(dataset) || "",
          color: unref(color),
          width: unref(size),
          rotate: unref(rotate)
        }, null, 8, ["icon", "color", "width", "rotate"])
      ]);
    };
  }
});
export {
  _sfc_main as default
};
